//
//  CHNYCPlugIn.h
//  CHNYCPlugInDemo
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CHNYCPlugIn : NSObject {
}

@property (readonly) NSString *identifier;
@property (readonly) NSString *displayName;
@property (readonly) NSImage *icon;

+ (void)preloadPlugIns;
+ (BOOL)loadPlugIn:(NSString *)plugInIdentifier;
+ (NSDictionary *)allPlugIns;
+ (NSArray *)loadedPlugIns;

+ (id)defaultPlugIn;
- (void)sayHello;
- (NSString *)sdefPath;

+ (NSString *)translateText:(NSString *)inputString toLanguage:(NSString *)language;

@end
