//
//  ItalianCHNYCDemoPlugIn.m
//  ItalianCHNYCDemoPlugIn
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import "ItalianCHNYCDemoPlugIn.h"

@implementation ItalianCHNYCDemoPlugIn

+ (id)defaultPlugIn {
	static ItalianCHNYCDemoPlugIn *defaultPlugIn = nil;
	if (!defaultPlugIn) defaultPlugIn = [[ItalianCHNYCDemoPlugIn alloc] init];
	return defaultPlugIn;
}

@end

@implementation NSApplication (ItalianCHNYCDemoPlugInScriptingAdditions)

- (id)handleItalianTranslationScriptCommand:(NSScriptCommand *)command {
	return [CHNYCPlugIn translateText:[command directParameter] toLanguage:@"Italian"];
}

@end
