//
//  MandarinCHNYCDemoPlugIn.m
//  MandarinCHNYCDemoPlugIn
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import "MandarinCHNYCDemoPlugIn.h"

@implementation MandarinCHNYCDemoPlugIn

+ (id)defaultPlugIn {
	static MandarinCHNYCDemoPlugIn *defaultPlugIn = nil;
	if (!defaultPlugIn) defaultPlugIn = [[MandarinCHNYCDemoPlugIn alloc] init];
	return defaultPlugIn;
}

@end

@implementation NSApplication (MandarinCHNYCDemoPlugInScriptingAdditions)

- (id)handleMandarinTranslationScriptCommand:(NSScriptCommand *)command {
	return [CHNYCPlugIn translateText:[command directParameter] toLanguage:@"Mandarin"];
}

@end
