//
//  FrenchCHNYCDemoPlugIn.m
//  FrenchCHNYCDemoPlugIn
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import "FrenchCHNYCDemoPlugIn.h"

@implementation FrenchCHNYCDemoPlugIn

+ (id)defaultPlugIn {
	static FrenchCHNYCDemoPlugIn *defaultPlugIn = nil;
	if (!defaultPlugIn) defaultPlugIn = [[FrenchCHNYCDemoPlugIn alloc] init];
	return defaultPlugIn;
}

@end

@implementation NSApplication (FrenchCHNYCDemoPlugInScriptingAdditions)

- (id)handleFrenchTranslationScriptCommand:(NSScriptCommand *)command {
	return [CHNYCPlugIn translateText:[command directParameter] toLanguage:@"French"];
}

@end
