//
//  GermanCHNYCDemoPlugIn.m
//  GermanCHNYCDemoPlugIn
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import "GermanCHNYCDemoPlugIn.h"

@implementation GermanCHNYCDemoPlugIn

+ (id)defaultPlugIn {
	static GermanCHNYCDemoPlugIn *defaultPlugIn = nil;
	if (!defaultPlugIn) defaultPlugIn = [[GermanCHNYCDemoPlugIn alloc] init];
	return defaultPlugIn;
}

@end

@implementation NSApplication (GermanCHNYCDemoPlugInScriptingAdditions)

- (id)handleGermanTranslationScriptCommand:(NSScriptCommand *)command {
	return [CHNYCPlugIn translateText:[command directParameter] toLanguage:@"German"];
}

@end
