//
//  HebrewCHNYCDemoPlugIn.m
//  HebrewCHNYCDemoPlugIn
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import "HebrewCHNYCDemoPlugIn.h"

@implementation HebrewCHNYCDemoPlugIn

+ (id)defaultPlugIn {
	static HebrewCHNYCDemoPlugIn *defaultPlugIn = nil;
	if (!defaultPlugIn) defaultPlugIn = [[HebrewCHNYCDemoPlugIn alloc] init];
	return defaultPlugIn;
}

@end

@implementation NSApplication (HebrewCHNYCDemoPlugInScriptingAdditions)

- (id)handleHebrewTranslationScriptCommand:(NSScriptCommand *)command {
	return [CHNYCPlugIn translateText:[command directParameter] toLanguage:@"Hebrew"];
}

@end
