//
//  RussianCHNYCDemoPlugIn.m
//  RussianCHNYCDemoPlugIn
//
//  Created by Jonathan Nathan on 10/11/11.
//  Copyright 2011 JNSoftware LLC. All rights reserved.
//

#import "RussianCHNYCDemoPlugIn.h"

@implementation RussianCHNYCDemoPlugIn

+ (id)defaultPlugIn {
	static RussianCHNYCDemoPlugIn *defaultPlugIn = nil;
	if (!defaultPlugIn) defaultPlugIn = [[RussianCHNYCDemoPlugIn alloc] init];
	return defaultPlugIn;
}

@end

@implementation NSApplication (RussianCHNYCDemoPlugInScriptingAdditions)

- (id)handleRussianTranslationScriptCommand:(NSScriptCommand *)command {
	return [CHNYCPlugIn translateText:[command directParameter] toLanguage:@"Russian"];
}

@end
